## org.eclipse.emf.codegen.merge.java.facade.jdom
Class JDOMJPackage

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
              org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJPackage

All Implemented Interfaces:
  JNode, JPackage

    public class JDOMJPackage

extends JDOMJNode
implements JPackage

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`JDOMJPackage(org.eclipse.jdt.core.jdom.IDOMPackage pck)`

Method Summary
`protected org.eclipse.jdt.core.jdom.IDOMPackage` `getWrappedObject()`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
`dispose, getChildren, getContents, getFacadeHelper, getFlags, getName, getParent, isDisposed, setFacadeHelper, setFlags, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Constructor Detail

### JDOMJPackage

    public JDOMJPackage(org.eclipse.jdt.core.jdom.IDOMPackage pck)

Method Detail

### getWrappedObject

    protected org.eclipse.jdt.core.jdom.IDOMPackage getWrappedObject()

  Overrides:
    `getWrappedObject` in class `JDOMJNode`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.